<?php

namespace Andy\MembersMap;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerUpgradeTrait;
	
	public function install(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xf_andy_members_map', function(Create $table)
		{
			$table->addColumn('members_map_id', 'int')->autoIncrement();
			$table->addColumn('lat', 'text');
			$table->addColumn('lng', 'text');
			$table->addColumn('info', 'text');
		});
		
		$this->schemaManager()->createTable('xf_andy_members_map_data', function(Create $table)
		{
			$table->addColumn('members_map_data_id', 'int')->autoIncrement();
			$table->addColumn('user_id', 'int');
			$table->addColumn('username', 'text');
			$table->addColumn('lat', 'text');
			$table->addColumn('lng', 'text');
		});
        
        $db = $this->db();
        
		$db->query("
			INSERT IGNORE INTO xf_permission_entry
				(user_group_id, user_id, permission_group_id, permission_id, permission_value, permission_value_int)
			VALUES
                (1, 0, 'membersMap', 'view', 'allow', 0),
				(2, 0, 'membersMap', 'view', 'allow', 0)
		");
	}

	public function upgrade(array $stepParams = [])
	{
	}

	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->dropTable('xf_andy_members_map');
		$this->schemaManager()->dropTable('xf_andy_members_map_data');
	}
}